com.opensymphony.xwork2.util.profiling

## Class ProfilingTimerBean

- java.lang.Object
- - com.opensymphony.xwork2.util.profiling.ProfilingTimerBean

- All Implemented Interfaces:
    Serializable

  Deprecated.
  will be dropped with next major release (2.6)

      @Deprecated
      public class ProfilingTimerBean
      extends Object
      implements Serializable

  Bean to contain information about the pages profiled
  Version:
    $Date$ $Id$
  Author:
    Mike Cannon-Brookes, Scott Farquhar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfilingTimerBean(String resource)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(ProfilingTimerBean child)` Deprecated.
    `protected void` | `addParent(ProfilingTimerBean parent)` Deprecated.
    `ProfilingTimerBean` | `getParent()` Deprecated.
    `String` | `getPrintable(long minTime)` Deprecated.
    `protected String` | `getPrintable(String indent, long minTime)` Deprecated.
    `String` | `getResource()` Deprecated.
    `void` | `setEndTime()` Deprecated.
    `void` | `setStartTime()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfilingTimerBean

          public ProfilingTimerBean(String resource)

      Deprecated.

  - ### Method Detail

    - #### addParent

          protected void addParent(ProfilingTimerBean parent)

      Deprecated.

    - #### getParent

          public ProfilingTimerBean getParent()

      Deprecated.

    - #### addChild

          public void addChild(ProfilingTimerBean child)

      Deprecated.

    - #### setStartTime

          public void setStartTime()

      Deprecated.

    - #### setEndTime

          public void setEndTime()

      Deprecated.

    - #### getResource

          public String getResource()

      Deprecated.

    - #### getPrintable

          public String getPrintable(long minTime)

      Deprecated.
      Parameters:
        `minTime` - minimum time
      Returns:
        a formatted string representing all the methods that took longer than a specified time.

    - #### getPrintable

          protected String getPrintable(String indent,
                            long minTime)

      Deprecated.

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.